public inbox for gentoo-python@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-python@lists.gentoo.org
Cc: python@gentoo.org, "Michał Górny" <mgorny@gentoo.org>
Subject: [gentoo-python] [PATCH 1/3] Make HOME per-impl in addition to TMPDIR.
Date: Thu, 19 Sep 2013 12:31:02 +0200	[thread overview]
Message-ID: <1379586664-19620-2-git-send-email-mgorny@gentoo.org> (raw)
In-Reply-To: <1379586664-19620-1-git-send-email-mgorny@gentoo.org>

---
 gx86/eclass/distutils-r1.eclass | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gx86/eclass/distutils-r1.eclass b/gx86/eclass/distutils-r1.eclass
index dad6eed..2337891 100644
--- a/gx86/eclass/distutils-r1.eclass
+++ b/gx86/eclass/distutils-r1.eclass
@@ -545,9 +545,10 @@ distutils-r1_run_phase() {
 	fi
 	local -x PYTHONPATH="${BUILD_DIR}/lib:${PYTHONPATH}"
 
-	local TMPDIR=${T}/${EPYTHON}
+	local -x TMPDIR=${T}/${EPYTHON}
+	local -x HOME=${TMPDIR}/home
 
-	mkdir -p "${TMPDIR}" || die
+	mkdir -p "${TMPDIR}" "${HOME}" || die
 
 	"${@}"
 
-- 
1.8.3.2



  reply	other threads:[~2013-09-19 10:30 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-09-19 10:31 [gentoo-python] [PATCHES] Use pydistutils.cfg to pass build-dir Michał Górny
2013-09-19 10:31 ` Michał Górny [this message]
2013-09-19 10:31 ` [gentoo-python] [PATCH 2/3] Move _distutils-r1_copy_egg_info to a better location Michał Górny
2013-09-19 10:31 ` [gentoo-python] [PATCH 3/3] Set build-dir via configuration file rather than implicit options Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1379586664-19620-2-git-send-email-mgorny@gentoo.org \
    --to=mgorny@gentoo.org \
    --cc=gentoo-python@lists.gentoo.org \
    --cc=python@gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox